body {
    margin: 0;
    scroll-behavior: smooth;
    font-family: 'Inter', sans-serif;
    padding: 0;
    height: 100%;
}

body, svg, text {
  font-family: 'Inter', sans-serif;
}

.section.centered {
    display: flex !important;
    justify-content: center;
    align-items: center;
  }
#intro {
    text-align: center;
    color: white;
    font-family: 'Inter', sans-serif;
    background-image:  url("Assets/blurry_background.png");
    background-size: cover;
    background-position: center;
  }
  
  #intro h1 {
    font-size: 1,3rem;
    font-weight: 700; 
    margin-bottom: 0.7rem;
    opacity: 0.9;
  }
  
  #intro h2 {
    font-size: 5rem;
    font-weight: 1000;
  }

.Btn {
    border: none;
    border-radius: 50%;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition-duration: .4s;
    cursor: pointer;
    position: relative;
    background-color: white;
    overflow: hidden;
  }
  
  .svgIcon {
    transition-duration: .3s;
  }
  
  .svgIcon path {
    fill: #DD0E82;
    opacity: 0.7;
  }
  
  .text {
    position: absolute;
    color: #DD0E82;
    width: 120px;
    font-weight: 600;
    opacity: 0;
    transition-duration: .4s;
  }
  
  .Btn:hover {
    width: 110px;
    transition-duration: .4s;
    border-radius: 30px;
  }
  
  .Btn:hover .text {
    opacity: 0.7;
    transition-duration: .4s;
  }
  
  .Btn:hover .svgIcon {
    opacity: 0;
    transition-duration: .3s;
  }
  .btn-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
}

#about {
    height: 100vh;
    width: 100%;
    background-image: url("Assets/side-wave_background (3).svg");
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
  }
#about .content {
    padding: 20px;
    border-radius: 20px;
    max-width: 1200px;
    text-align: left;
    margin: 0; 
  }
#about .fp-tableCell {
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}
#about h1 {
    font-size: 2.3rem;
    font-weight: 800;
    margin-bottom: 0.7rem;
    background: linear-gradient(to left, #ffffff, #B1B807); 
    background-clip: text;
    -webkit-text-fill-color: transparent;
}
#about p {
    font-size: 1.3rem;
    font-weight: 600;
    color: rgb(255, 255, 255);
  }
.highlight {
    background: linear-gradient(to left, #ffffff, #B1B807); 
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
  }
#about strong {
    color: #ffffff;
  }
.logo {
    position: absolute;
    top: 100px;
    left: 100px;
    height: 100px; 
    z-index: 1000; 
  }
#data-P .fp-tableCell {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
}

#data-1 {
  background-color: #000000; 
}
#data-1 .highlight {
  background: linear-gradient(to left, #F7B000, #B57EB3); 
  background-clip: text; 
  -webkit-text-fill-color: transparent;
  font-weight: bold;
}
#data-1 .content {
  padding: 20px;
  max-width: 1200px;
  text-align: left;
  margin: 0; 
}
#data-P p {
  font-size: 18px;
  font-weight: 800;
  color: rgb(255, 255, 255);
}
#data-P h1 {
  font-size: 50px;
  font-weight: 800;
  margin-bottom: 0.7rem;
  background: linear-gradient(to left, #F7B000, #B57EB3); 
  background-clip: text; 
  -webkit-text-fill-color: transparent;
  ;
}

#data {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color :#000;
  height: 100vh;
  width: 100vw;  
  overflow: hidden; 
  margin: 0;
  padding: 0;
}
#velib-table {
  border-collapse: collapse;
  table-layout: fixed;
  width: 100%;
}

#velib-table thead,
#velib-table tbody {
  display: table;
  table-layout: fixed;
  width: 100%;
}

#velib-table tbody {
  display: block;
  height: 450px; 
  overflow-y: auto;
  overflow-x: hidden;
}

#velib-table thead th,
#velib-table tbody td {
  width: 120px; 
  box-sizing: border-box;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 8px;
}



#velib-table thead th {
  background-color: transparent;
  color: white;
  position: sticky;
  top: 0;
  z-index: 10;
}
.datatable {
  width: 100%;
  max-width: 1300px;
  overflow-x: auto;
  padding: 0rem;
  box-sizing: border-box;
}

#velib-table {
  width: 100%;
  font-size: 0.65rem;
  border-collapse: collapse;
  background-color: transparent;
  table-layout: fixed;
}


#velib-table tbody td {
  color: white;
  text-align: center;
  padding: 18px;
  border-left: 1px solid white;
  background-color: transparent;
}

.dataTables_wrapper .dataTables_paginate {
  margin-top: 1rem;
  text-align: center;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
  color: white !important;
  background: none !important;
  border: none !important;
  margin: 0 5px;
  font-size: 0.8rem;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
  font-weight: bold;
  color: #B57EB3 !important;
}

.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_length {
  display: none;
}

#velib-table thead,
#velib-table tbody {
  display: table;
  width: 100%;
  table-layout: fixed;
}

#velib-table tbody {
  height: 500px; 
  overflow-y: auto;
  display: block;
}

#velib-table th,
#velib-table td {
  width: 120px;
  box-sizing: border-box;
  overflow: hidden;
}
#velib-table tbody tr:nth-child(odd),
#velib-table tbody tr:nth-child(even) {
  background-color: transparent !important;
}


table.dataTable thead th {
  background-color: transparent !important;
  color: white !important;
  font-weight: 600 !important;
  text-align: center !important;
  padding: 8px !important;
  font-size: 0.75rem !important;
  white-space: nowrap;
  position: sticky;
  top: 0;
  z-index: 10;
}

table.dataTable thead th.sorting:before,
table.dataTable thead th.sorting:after,
table.dataTable thead th.sorting_asc:before,
table.dataTable thead th.sorting_asc:after,
table.dataTable thead th.sorting_desc:before,
table.dataTable thead th.sorting_desc:after {
  display: none !important;
}


#station {
  background-color: black;
}
.node-label.depth-2 {
  fill: #F7B000;
  font-weight: bold;
  font-size: 10px;
}

.node-label.depth-1 {
  fill: white;
  font-size: 8px;
}

.node-label.depth-0 {
  display: none;
}

#station .fp-tableCell {
  display: flex; 
  justify-content: space-between; 
  align-items: center; 
  gap: 20px; 
}

#station .content {
  flex: 1; 
  max-width: 50%;
  text-align: center;
  display: flex; 
  align-items: center;
  flex-direction: column;
  padding-left: 30px; 
}
#station h1 {
  font-size: 2.8rem;
  font-weight: 1000;
  margin-bottom: 0.7rem;
  background: linear-gradient(to right, #F7B000, #DD0E82);
  -webkit-background-clip: text; 
  -webkit-text-fill-color: transparent;
}
#station p {
  font-size: 1.0rem;
  font-weight: 600;
  color: #ffffff;
}
#station .highlight {
  background: linear-gradient(to right, #F7B000, #DD0E82);
  background-clip: text; 
  -webkit-text-fill-color: transparent; 
  font-weight: bold; 
}

#rond {
  padding-right: 50px;
}

#map {
  position: relative; 
  width: 100vw; 
  height: 100vh; 
  overflow: hidden; 
}

#chart {
  position: absolute; 
  top: 0;
  left: 0;
  width: 100%; 
  height: 100%; 
}
#map::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 60vw; 
  height: 100%;
  background: linear-gradient(to left, rgba(0, 0, 0, 0.98), transparent);
  pointer-events: none; 
  z-index: 5;
}
#overlay {
  position: absolute;
  top: 0;
  right: 0;
  width: 40%;
  height: 100%;
  z-index: 20;
  display: flex;
  flex-direction: column;
  align-items: flex-end; 
  padding-right: 80px;
  box-sizing: border-box;
  gap: 20px;
  background: transparent;
}

#overlay > * {
  width: 100%;
  max-width: 500px;
  box-sizing: border-box;
}
#rangeValue {
  position: relative;
  display: block;
  text-align: center;
  font-size: 6em;
  color: #999;
  font-weight: 400;
}

.range {
  width: 550px;
  height: 15px;
  -webkit-appearance: none;
  background: #111;
  outline: none;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 1);
}

.range::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: #DD0E82;
  cursor: pointer;
  border: 4px solid #333;
  box-shadow: -407px 0 0 400px #DD0E82;
}
#slider-label {
  position: relative;
  display: block;
  text-align: center;
  font-size: 20px;
  color: #ffffff;
  font-weight: 400;
}

#avg-bikes-chart .fp-tableCell {
  display: flex; 
  justify-content: space-between; 
  align-items: center; 
  gap: 20px; 
  background-color: #000000;
}

#avg-bikes-chart .content {
  flex: 1; 
  max-width: 50%;
  text-align: center;
  display: flex; 
  align-items: center;
  flex-direction: column;
  padding-left: 30px; 
}

#avg-bikes-chart h1 {
  font-size: 2.8rem;
  font-weight: 1000;
  margin-bottom: 0.7rem;
  background: linear-gradient(to right, #DD0E82, #6793C8); 
  -webkit-background-clip: text; 
  -webkit-text-fill-color: transparent;
}

#avg-bikes-chart p {
  font-size: 1.0rem;
  font-weight: 600;
  color: #ffffff;
}

#avg-bikes-chart .highlight {
  background: linear-gradient(to right, #DD0E82, #6793C8); 
  background-clip: text; 
  -webkit-text-fill-color: transparent; 
  font-weight: bold; 
}

#linechart-arrondissement {
  padding-right: 30px;
}

#intro-map .fp-tableCell {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  background-color: #000000; 
}
#intro-map .highlight {
  background: linear-gradient(to right, #F7B000, #ffffff); 
  background-clip: text; 
  -webkit-text-fill-color: transparent;
  font-weight: bold;
}
#intro-map .content {
  padding: 20px;
  max-width: 1200px;
  text-align: left;
  margin: 0; 
}
#intro-map p {
  font-size: 18px;
  font-weight: 1000;
  color: #ffffff;
}
#intro-map h1 {
  font-size: 50px;
  font-weight: 800;
  margin-bottom: 0.7rem;
  background: linear-gradient(to right, #F7B000, #ffffff); 
  background-clip: text; 
  -webkit-text-fill-color: transparent;
  ;
}

#fp-nav ul li a span,
.fp-slidesNav ul li a span {
  background: #ffffff !important; 
}


#fp-nav ul li a.active span,
#fp-nav ul li:hover a.active span,
.fp-slidesNav ul li a.active span,
.fp-slidesNav ul li:hover a.active span {
  background: #ffffff !important; 
}


#Outro {
  text-align: center;
  color: white;
  font-family: 'Inter', sans-serif;
  background-color: #000000;
  background-size: cover;
  background-position: center;
}

#Outro h1 {
  font-size: 14px;
  font-weight: 700; 
  opacity: 0.8;
}

#Outro h2 {
  font-size: 5rem;
  font-weight: 1000;
}

#Outro a {
  font-weight: 600;
  background: linear-gradient(to right, #F7B000, #DD0E82);
  background-clip: text; 
  -webkit-text-fill-color: transparent; 
  font-weight: bold; 
  transition-duration: .4s;
}

